import { ERRORENUM } from "../../config/errorEnum";
import { BizError } from "../../util/bizError";
import * as monthData from "../../data/fuHuaQi/monthTable";

/**
 * 孵化月度填报 新增报表
 * @param occupancyRate 本月出租率
 */
export async function createReport(uscc:string, occupancyRate:number) {
    if (typeof uscc != "string" || isNaN(occupancyRate)) throw new BizError(ERRORENUM.参数错误, uscc, occupancyRate);
    let name = "1月孵化器月度填报";
    let monthInfo = await monthData.addOnceReport(name, uscc, occupancyRate);
    
    return monthInfo;
}
